# VectorNav C++ Library: vn::sensors::VelocityCompensationStatusRegister Struct Reference

vn::sensors::VelocityCompensationStatusRegister Struct Reference
Register Structures

Structure representing the Velocity Compensation Status register. More...

`#include <registers.h>`

## Public Member Functions

| VelocityCompensationStatusRegister (float xIn, float xDotIn, vn::math::vec3f accelOffsetIn, vn::math::vec3f omegaIn)
| Creates an initializes a new VelocityCompensationStatusRegister structure. More...

## Public Attributes

float | x
| The x field.
float | xDot
| The xDot field.
vn::math::vec3f | accelOffset
| The accelOffset field.
vn::math::vec3f | omega
| The omega field.

## Detailed Description

Structure representing the Velocity Compensation Status register.

## Constructor & Destructor Documentation

vn::sensors::VelocityCompensationStatusRegister::VelocityCompensationStatusRegister | ( | float | xIn,
|  | float | xDotIn,
|  | vn::math::vec3f | accelOffsetIn,
|  | vn::math::vec3f | omegaIn
| ) |  |

inline

Creates an initializes a new VelocityCompensationStatusRegister structure.

Parameters

  [in] | xIn | Value to initialize the x field with.
  [in] | xDotIn | Value to initialize the xDot field with.
  [in] | accelOffsetIn | Value to initialize the accelOffset field with.
  [in] | omegaIn | Value to initialize the omega field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h